cURL
curl --request POST \
--url https://api.cekura.ai/test_framework/v1/metrics/preview/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metric_data": {
"name": "<string>",
"evaluation_trigger": "always",
"trigger_type": "llm_judge",
"evaluation_trigger_prompt": "",
"evaluation_trigger_custom_code": "",
"description": "",
"prompt": "",
"custom_code": "",
"enum_values": [
"<string>"
],
"audio_enabled": false
},
"agent_id": 123,
"project_id": 123,
"call_log_ids": [
123
],
"run_ids": [
123
]
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/metrics/preview/"
payload = {
"metric_data": {
"name": "<string>",
"evaluation_trigger": "always",
"trigger_type": "llm_judge",
"evaluation_trigger_prompt": "",
"evaluation_trigger_custom_code": "",
"description": "",
"prompt": "",
"custom_code": "",
"enum_values": ["<string>"],
"audio_enabled": False
},
"agent_id": 123,
"project_id": 123,
"call_log_ids": [123],
"run_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metric_data: {
name: '<string>',
evaluation_trigger: 'always',
trigger_type: 'llm_judge',
evaluation_trigger_prompt: '',
evaluation_trigger_custom_code: '',
description: '',
prompt: '',
custom_code: '',
enum_values: ['<string>'],
audio_enabled: false
},
agent_id: 123,
project_id: 123,
call_log_ids: [123],
run_ids: [123]
})
};
fetch('https://api.cekura.ai/test_framework/v1/metrics/preview/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Metrics
Preview Metric
Preview metric evaluation on call logs or runs before creating it. Supports up to 10 items. Returns progress_id to poll for results.
POST
/
test_framework
/
v1
/
metrics
/
preview
/
cURL
Authorizations
oauth2supabase_sessionembedded_sessionapi_key
OAuth access token issued by Cekura for connected apps.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Metric configuration to evaluate
Show child attributes
Show child attributes
Agent ID - all call logs/runs must belong to this agent
Project ID - all call logs/runs must belong to this project
List of call log IDs to evaluate (maximum 10, required if run_ids not provided)
Required array length:
1 - 10 elementsList of run IDs to evaluate (maximum 10, required if call_log_ids not provided)
Required array length:
1 - 10 elementsResponse
200
Returns progress_id for tracking progress